if "%service_auth%"=="0" goto skipauth
:precaution_for_mtk_device
fb2 -s %psn% oem getBootloaderType 2>&1 | findstr service > nul
if "%errorlevel%"=="0" fb2 -s %psn% oem getRootStatus 2>&1 | findstr Disable > nul
if "%errorlevel%"=="0" call call_auth.cmd
:skipauth

if "!target:~0,8!"=="userdata" (
echo %t0038% "fastboot -s %psn% -w"...
if %verbose_mode%==1 (
echo.
fastboot -s %psn% -w
echo.
) else (
fastboot -s %psn% -w 1>nul 2>nul
)
goto eof
)

echo %t0038% "fastboot -s %psn% format !target!"...
if %verbose_mode%==1 (
echo.
fastboot -s %psn% format !target!
echo.
) else (
fastboot -s %psn% format !target! 1>nul 2>nul
)

:eof